package com.mojang.realmsclient.dto;

import java.util.Locale;

public class RegionPingResult extends ValueObject {
    private final String regionName;
    private final int ping;
    
    public RegionPingResult(final String string, final int integer) {
        this.regionName = string;
        this.ping = integer;
    }
    
    public int ping() {
        return this.ping;
    }
    
    @Override
    public String toString() {
        return String.format(Locale.ROOT, "%s --> %.2f ms", this.regionName, Float.valueOf(this.ping));
    }
}
